﻿function createXMLHttp() {
    if (typeof XMLHttpRequest != "undefined") {
        return new XMLHttpRequest();
    }
    else if (window.ActiveXObject) {
        var iEVersion = ["MSXML2.XMLHttp.5.0", "MSXML2.XMLHttp.4.0", "MSXML2.XMLHttp.3.0", "<MSXML2.XMLHttp", "Microsoft.XMLHttp"];
        for (var i = 0; i < iEVersion.length; i++) {
            try {
                var xmlHttp = new ActiveXObject(iEVersion[i]);
                return xmlHttp;
            }
            catch (oError) { }
        }
    } throw new Error("XMLHttp object could be created.");
}

var waitBar;
waitBar = waitBar || (function () {
    var pleaseWaitDiv = $('<div id="waitDiv" class="waitpop"><div align="center"><div style="height: 250px;"></div><div id="loadingimage" class="waitpop_in"><img style="width: 50px; height: 50px;" src="../images/loading49.gif" alt="loader" /><br /><span>...لطفا چند لحظه صبر کنید</span></div></div></div>');
    return {
        showPleaseWait: function () {
            pleaseWaitDiv.modal();
        },
        hidePleaseWait: function () {
            pleaseWaitDiv.modal('hide');
        }
    };
})();


$(document).ready(function () {
    $('input:first').focus();

    $('input').bind("keydown", function (e) {
        var n = $("input").length;
        if (e.which == 13) {
            e.preventDefault();
            var nextIndex = $('input').index(this) + 1;
            if (nextIndex < n)
                $('input')[nextIndex].focus();
            else {
                $('input')[nextIndex - 1].blur();
                $('#btnSubmit').click();
            }
        }
    });
 
});

function Child_Data(Masterobj) {
    try {
        var MasterID = Masterobj.value;
        var Subid = Masterobj.getAttribute("data-sub");
        var Subobj = $get(Subid);
        var Noe_SC = Masterobj.getAttribute("data-noe");

        Subobj.innerHTML = "";
        Subobj.disabled = "disabled";
        var SubSubid = Subobj.getAttribute("data-sub");
        if (MasterID == 0) {return;}
        if (SubSubid !== null) {
            var Subsubobj = $get(SubSubid);
            Subsubobj.innerHTML = "";
             Subsubobj.disabled = "disabled";
        }

        xmlHttp = createXMLHttp();
        xmlHttp.open('POST', '../Webservices/BasaInternal.asmx/Get_Child');

        xmlHttp.onreadystatechange = function () {
            if (xmlHttp.readyState == 4 && xmlHttp.status == 200) {
                if (xmlHttp.responseXML.lastChild.childNodes[0] == undefined) { return; }
                var Result = xmlHttp.responseXML.lastChild.childNodes[0].nodeValue;
                Subobj.innerHTML = Result;
                Subobj.disabled = "";
            }
        };
        xmlHttp.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
        var Send_Param = 'MasterID=' + MasterID + '&Noe_SC=' + Noe_SC;
        xmlHttp.send(Send_Param);
    }
    catch (ex) {
        alert('Error:' + ex.message);
    }
}
function ESH_NumKEY_Txt(xNoe_S, e) {
    try {
        if (xNoe_S == 1) return true;
        var keycode;
        if (e.charCode != undefined && e.charCode != 0) keycode = e.charCode;
        else if (e.keyCode != undefined && e.keyCode != 0) keycode = e.keyCode;
        else return true;
        if (keycode >= 48 && keycode <= 57) return true;
        else if (keycode == 8 || keycode == 9) return true;
        else if (keycode == 46 && xNoe_S == 3) return true;
        else return false;
    }
    catch (ex) {
        alert(ex.message);
    }
}

function ESH_Date_Txt(xNoe_S, e) {
    try {
        var keycode;
        if (e.charCode != undefined && e.charCode != 0) keycode = e.charCode;
        else if (e.keyCode != undefined && e.keyCode != 0) keycode = e.keyCode;
        else return true;
        if (keycode >= 48 && keycode <= 57) return true;
        else if (keycode == 8 || keycode == 9) return true;
        else if (keycode == 46 && xNoe_S == 3) return true;
        else if (keycode == 47) return true;
        else return false;
    }
    catch (ex) {
        alert(ex.message);
    }
}
function ESH_SetFocus(e, Obj_Enter, Obj_Focus) {
    if (e.keyCode == 13) {
        if (Obj_Enter != '')
            document.getElementById(Obj_Enter).click();
        else
            document.getElementById(Obj_Focus).focus();
    }
}