﻿<%@ Page Language="vb" AutoEventWireup="false" CodeBehind="Login.aspx.vb" Inherits="Abshar.Portal.Saman_Login" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="description" content="" />
    <meta name="author" content="" />

    <title><%=E_Name %></title>
    <link href="/Content/Style.css" rel="stylesheet" />
    <link href="./Content/bootstrap.css" rel="stylesheet" />
    <script src="/scripts/jquery-3.3.1.min.js"></script>
    <script src="/scripts/bootstrap.min.js"></script>
    <script src="/scripts/MyScript.js"></script>
    <style>
        #RadCaptcha1_SpamProtectorPanel {
            margin-top: -20px;
        }

        #RadCaptcha1_CaptchaTextBox, #RadCaptcha1_CaptchaTextBoxLabel {
            margin-top: 15px;
            margin-left: 10px;
        }

        .form-signin h2 {
            background: #337ab7;
        }
    </style>
</head>

<body>

    <form id="form1" runat="server" class="form-signin">
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>

        <h2 class="form-signin-heading">ورود به پرتال
            <span class="glyphicon glyphicon-user close"></span>
        </h2>
        <div id="Login_Form" class="form-signin-body container">

            <div class="input-group margin10">
                <input runat="server" type="text" class="form-control" placeholder="کد کاربری" id="inputuser" required="required" autofocus="autofocus" />
                <span class="input-group-addon"><span class="glyphicon glyphicon-user"></span></span>
            </div>

            <div class="input-group ">
                <input runat="server" type="password" class="form-control" placeholder="کلمه عبور" id="inputPassword" required="required" />
                <span class="input-group-addon"><span class="glyphicon glyphicon-lock"></span></span>
            </div>
            <div class="margin10">
                <telerik:RadCaptcha ID="RadCaptcha1" runat="server"
                    ErrorMessage="لطفا متن تصویر را درست وارد کنید" CaptchaLinkButtonText="تصویر جدید"
                    CaptchaTextBoxLabel="لطفا متن تصویر را وارد کنید" CaptchaTextBoxTitle="متن"
                    EnableRefreshImage="False" BorderStyle="Solid" CaptchaImage-TextChars="Numbers"
                    RenderMode="Classic" EnableAjaxSkinRendering="True" CaptchaImage-TextColor="#337ab7"
                    CaptchaImage-Width="312" Display="Static" CaptchaImage-TextLength="4" CaptchaImage-FontWarp="Medium"
                    ImageStorageLocation="Cache" CaptchaImage-Height="70" CaptchaImage-LineNoise="None"
                    CaptchaImage-BackgroundNoise="Low" CaptchaImage-BackgroundColor="#F7F7F7" BorderWidth="1">
                </telerik:RadCaptcha>
            </div>

            <div class="margin10">
                <input runat="server" type="button" class="btn btn-lg btn-primary btn-block" id="btn_login" value="ورود" />
            </div>

            <div class="alert bs-example alert-login" style="display: none">
                <div id="alert" class="alert alert-danger">
                    <a class="close glyphicon glyphicon-remove-sign" data-dismiss="alert" onclick="$('.alert').hide()"></a>
                    <strong>اخطار!</strong>
                    <div id="Warning_text">There was a problem with your network connection.</div>
                </div>
            </div>

        </div>
    </form>


</body>
</html>
